For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETGet API key permission options
      • GETList API keys
      • POSTCreate API key
      • GETGet aggregate API key analytics
      • GETReveal test key plaintext
      • GETGet API key
      • PUTUpdate API key
      • DELDelete API key
      • POSTRegenerate API key
      • GETGet API key analytics
Dashboard
LogoLogo
Runtype APIAPI Keys

Get API key permission options

GET
/v1/api-keys/options
GET
/v1/api-keys/options
$curl https://api.runtype.com/v1/api-keys/options \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "permissionGroups": [
3 {
4 "key": "read_only",
5 "label": "Read Only Access",
6 "description": "Allows read-only access to all resources and data.",
7 "permissions": [
8 "read:projects",
9 "read:users",
10 "read:analytics"
11 ]
12 }
13 ],
14 "rateLimits": {
15 "defaultPerHour": 1000,
16 "defaultPerDay": 24000,
17 "maxPerHour": 5000,
18 "maxPerDay": 120000
19 },
20 "permissionScopes": null
21}

List available permission scopes, common permission groups, and rate-limit defaults for API key creation.

Was this page helpful?
Previous

List API keys

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Permission options
permissionGroupslist of objects
rateLimitsobject
permissionScopesany or null